OSM2PGSQL-TEST-STYLE(1)

NAME
osm2pgsql-test-style - osm2pgsql style testing

SYNOPSIS
osm2pgsql-test-style [-h] [--osm2pgsql-binary OSM2PGSQL_BINARY] [--test-data-dir TEST_DATA_DIR] [--style-data-dir STYLE_DATA_DIR] [--test-db TEST_DB] [--template-test-db TEMPLATE_TEST_DB] [--keep-test-db] [--test-tablespace {yes,no,auto}] [--test-proj {yes,no,auto}] features [features ...]

DESCRIPTION
Test runner for BDD-style integration tests.

See osm2pgsql manual for more information on osm2pgsql style testing.

features
    Feature files or paths

OPTIONS

--osm2pgsql-binary OSM2PGSQL_BINARY
    osm2pgsql binary to use for testing (default: osm2pgsql)

--test-data-dir TEST_DATA_DIR
    (optional) directory to search for test data

--style-data-dir STYLE_DATA_DIR
    (optional) directory to search for style files

--test-db TEST_DB
    Name of database to use for testing (default: osm2pgsql-test)

--template-test-db TEMPLATE_TEST_DB
    Name of database to use for creating the template db (default: osm2pgsql-test-template)

--keep-test-db
    Keep the test database around after tests are done

--test-tablespace {yes,no,auto}
    Include tests requiring a tablespace

--test-proj {yes,no,auto}
    Include tests requiring the proj library

SEE ALSO
* osm2pgsql website (https://osm2pgsql.org) * osm2pgsql manual (https://osm2pgsql.org/doc/manual.html)